Bug 509742 - [Wish] List groups at the top of the search results list.
[Wish] List groups at the top of the search results list.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 13:34 EDT by Diego
Modified: 2010-04-25 15:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 05:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego 2009-07-05 13:34:03 EDT
Description of problem:
When searching for "KDE" in Gnome-Packagekit you get tons of results. However the most relevant is the group "KDE K Desktop Environment". Unfortunately gnome-packagekit lists it "in the crowd". An idea could be listing the results for the group search at the top of the list, maybe distinguishing them in a graphical manner by the rest of the results in a way that the user immediately knows that the firsts are groups of packages, and the others are single packages.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.27.2-1.fc11

How reproducible:
always.

Steps to Reproduce:
1. search using a keyword that gives out both groups and single packages.
  
Actual results:
Results of different types are mixed up.

Expected results:
Results are divided by type.
Comment 1 Richard Hughes 2009-08-20 11:48:25 EDT
My reservation is that this breaks the alphabetical ordering.
Comment 2 Diego 2010-04-25 15:57:39 EDT
I can't really see the point of listing groups among regular packages. They're not the same thing, why should one treat them as if they are?

I'm just curious about the rationale behind this decision.

Note You need to log in before you can comment on or make changes to this bug.